Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
kde 4.7.49.9999 ?
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
houtworm
Guru
Guru


Joined: 08 Mar 2003
Posts: 353
Location: Den Haag, Netherlands

PostPosted: Mon Sep 12, 2011 11:58 pm    Post subject: kde 4.7.49.9999 ? Reply with quote

Because kmail has some bugs that are perhaps solved in a more recent source, i like to use the overlay.
But.. layman shows me

kmail-4.7.49.9999.ebuild
kmail-9999.ebuild

Which one is the newest?
At this moment kde 4.7.1 is intstalled.


--Kees
_________________
niemand is onbekwamer, dan een timmerman zonder hamer

Kees
Back to top
View user's profile Send private message
cruzki123
Apprentice
Apprentice


Joined: 16 May 2008
Posts: 249

PostPosted: Tue Sep 13, 2011 8:38 am    Post subject: Re: kde 4.7.49.9999 ? Reply with quote

houtworm wrote:
Because kmail has some bugs that are perhaps solved in a more recent source, i like to use the overlay.
But.. layman shows me

kmail-4.7.49.9999.ebuild
kmail-9999.ebuild

Which one is the newest?
At this moment kde 4.7.1 is intstalled.


--Kees


I suppose that:

kmail-9999 is the code with new features that will be release as kde-4.8.
kmail-4.7.49.9999 is the code with only bug-fixes that will be release as kde-4.7.2

So, if you ar looking only for bugfixes probable is a good idea to go to the 4.7.49.9999, the 9999 can have a pletora of new bugs ;)
Back to top
View user's profile Send private message
asturm
Developer
Developer


Joined: 05 Apr 2007
Posts: 7104
Location: Austria

PostPosted: Tue Sep 13, 2011 12:15 pm    Post subject: Reply with quote

Using 4.7.49.9999 for all of KDE. There is some improvement in kdepim, but still a long way to go. Definitely less bugs than in the final/RC/beta (whatever they think they have released) though.
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
ulenrich
Veteran
Veteran


Joined: 10 Oct 2010
Posts: 1379

PostPosted: Tue Sep 13, 2011 4:25 pm    Post subject: Reply with quote

@genstorm , I cant believe you are correct, because
4.7.49 is far in front of 4.7.1, this should be preAlpha of 4.8
4.7.1.49 should be tending to 4.7.2!
_________________
fun2gen2
Back to top
View user's profile Send private message
houtworm
Guru
Guru


Joined: 08 Mar 2003
Posts: 353
Location: Den Haag, Netherlands

PostPosted: Tue Sep 13, 2011 10:22 pm    Post subject: Reply with quote

Ok thanks.
I have updated to 4.7.49.999 and hopefully kmail is less buggy now.
But one more question.
Is 4.7.49.9999 ever updated? The version number never changes?


--Kees
_________________
niemand is onbekwamer, dan een timmerman zonder hamer

Kees
Back to top
View user's profile Send private message
cruzki123
Apprentice
Apprentice


Joined: 16 May 2008
Posts: 249

PostPosted: Wed Sep 14, 2011 10:17 am    Post subject: Reply with quote

No yo have to update manualy ussing sets

Code:

emerge -aq1 @live-rebuild
Back to top
View user's profile Send private message
asturm
Developer
Developer


Joined: 05 Apr 2007
Posts: 7104
Location: Austria

PostPosted: Wed Sep 14, 2011 12:05 pm    Post subject: Reply with quote

@ulenrich: Believe me. ;)

4.7.49.9999 is 4.7 live branch, no one would like to bump ebuilds just because of a minor stable version bump.

Consequently, >=4.7.50 is all about the 4.8 branch
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
houtworm
Guru
Guru


Joined: 08 Mar 2003
Posts: 353
Location: Den Haag, Netherlands

PostPosted: Wed Sep 14, 2011 9:41 pm    Post subject: Reply with quote

Ok so live branch means that sometimes the source is updated?
How do I know if a source is updated?

It is still very confusing to me


--Kees
_________________
niemand is onbekwamer, dan een timmerman zonder hamer

Kees
Back to top
View user's profile Send private message
cruzki123
Apprentice
Apprentice


Joined: 16 May 2008
Posts: 249

PostPosted: Wed Sep 14, 2011 11:05 pm    Post subject: Reply with quote

houtworm wrote:
Ok so live branch means that sometimes the source is updated?
How do I know if a source is updated?

It is still very confusing to me


--Kees


Live means that you are building directly from the repository where the development it is doing now. So the sources is continuously update and you have to force a recompilation from time to time (or when you know that a interesting change have been committed).
Back to top
View user's profile Send private message
asturm
Developer
Developer


Joined: 05 Apr 2007
Posts: 7104
Location: Austria

PostPosted: Thu Sep 15, 2011 1:57 pm    Post subject: Reply with quote

In my case I have my own set of kde-4.7.49.9999 packages which, from time to time, I re-emerge to get the latest developments. You can watch git updating things immediately after emerge start.
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
houtworm
Guru
Guru


Joined: 08 Mar 2003
Posts: 353
Location: Den Haag, Netherlands

PostPosted: Sat Sep 17, 2011 7:44 pm    Post subject: Reply with quote

ok! Thanks a lot!
Ik think that I do understand now how it works.

>>> Emerging (1 of 1) kde-base/kmail-4.7.49.9999 from kde
>>> Unpacking source...
fatal: Couldn't find remote ref 4.7
* ERROR: kde-base/kmail-4.7.49.9999 failed (unpack phase):
* git-2_update_repo: can't update from git://anongit.kde.org/kdepim
*
* Call stack:
[...]

something like that :-)
I will try another day


--Kees
_________________
niemand is onbekwamer, dan een timmerman zonder hamer

Kees
Back to top
View user's profile Send private message
asturm
Developer
Developer


Joined: 05 Apr 2007
Posts: 7104
Location: Austria

PostPosted: Sun Sep 18, 2011 8:02 am    Post subject: Reply with quote

git server can be down from time to time, but I checked and it should work now.
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
houtworm
Guru
Guru


Joined: 08 Mar 2003
Posts: 353
Location: Den Haag, Netherlands

PostPosted: Sun Sep 18, 2011 9:01 pm    Post subject: Reply with quote

Thanks for trying Genstorm.
But I get still the same errors with kmail.

But.. no problems with kdelibs

So, because kmail is part of kdepim, I should not emerge kmail but perhaps all the kdepim stuff
But I don't know if there is a special order of building it, when one depends on another.

I can't find any set either.

#emerge --list-sets
selected
system
world

So there is no @kdepim

How can I update (part of) kde ?


--Kees
_________________
niemand is onbekwamer, dan een timmerman zonder hamer

Kees
Back to top
View user's profile Send private message
houtworm
Guru
Guru


Joined: 08 Mar 2003
Posts: 353
Location: Den Haag, Netherlands

PostPosted: Tue Sep 20, 2011 8:48 pm    Post subject: Reply with quote

Ok the portage I use, portage-2.1.10.19 does not support sets.
That is not a big problem, but I can't update a lot of kde-4.7 stuff because of the error above

It is strange because it worked the first time when updating from 4.7 to 4.7.49.9999


--Kees
_________________
niemand is onbekwamer, dan een timmerman zonder hamer

Kees
Back to top
View user's profile Send private message
houtworm
Guru
Guru


Joined: 08 Mar 2003
Posts: 353
Location: Den Haag, Netherlands

PostPosted: Fri Sep 23, 2011 7:21 pm    Post subject: Reply with quote

Ok, i think that my problem is solved.
Layman did not know about the kde overlay anymore.

#layman -l
[empty]

So after deleting /var/lib/layman/kde I could add kde again.
Now emerge kmail works :-)

--Kees
_________________
niemand is onbekwamer, dan een timmerman zonder hamer

Kees
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Unsupported Software All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum